MCP Gateway
ApiPlayground

List available tools

List available MCP servers and skills for playground session selection. Returns enabled tool counts per server.

GET
/api/v1/playground/tools

Authorization

User API Key
AuthorizationBearer <token>

User API key (mgw_usr_live_* or mgw_usr_test_*)

In: header

access_token?|

Response Body

application/json

application/json

curl -X GET "https://loading/api/v1/playground/tools"
{
  "servers": [
    {
      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
      "name": "string",
      "display_name": "string",
      "tool_count": 0,
      "status": "string"
    }
  ],
  "skills": [
    {
      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
      "name": "string",
      "description": "string"
    }
  ],
  "sandbox_images": [
    {
      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
      "name": "string",
      "display_name": "string",
      "description": "string",
      "language": "string",
      "template": "string",
      "is_default": false
    }
  ]
}
{
  "detail": [
    {
      "loc": [
        "string"
      ],
      "msg": "string",
      "type": "string"
    }
  ]
}